Subject: A Global Planisphere
From: Daniel Adamo <[email-masked]>
To: ATIG <[email-masked]>
Date: Sun, 10 Jan 2021 21:35:44 -0800

ATIG Members-

A "hopey" 2021 to all!  I trust this email finds you in good health with prospects for a clean pandemic exit in the coming months.

Beginning in the mid-1980s, when living and working in Houston, I became a Space Shuttle sightings fanatic.  Most of these distant encounters were with Columbia, Challenger, Discovery, and Endeavour as they orbited Earth.  On occasion, I was also able to sight co-orbital "target" spacecraft during rendezvous missions.  And then there were those gems when a Shuttle Orbiter flew over glowing crimson during a nighttime entry bound for Florida at 200,000 ft and Mach 15 to be followed some minutes later by the lowest frequency sonic boom I'll likely ever hear/feel.

In preparing for a sighting, my favorite tool was home-brewed software I called Sky Track graphics.  Initially on an HP plotter, and later on antique PCs I no longer possess, I'd plot predicted paths of spacecraft on a star map.  This permitted composing in advance some fine photos of an Orbiter moving through a familiar constellation.  Later in the Shuttle Program, similar plotting functions were implemented in NASA's SkyWatch Java-ware which, unfortunately, no longer appears to be supported.

So, a month ago, I set out to resurrect Sky Track graphics on my vintage 2019 iMac's 27" 5120 x 2880 px display with Swift code.  I know there's "an app for that" on mobile devices, but I hope you'll agree what I've documented in the attached PDF file is a unique capability.  To ensure you see an example of the native Sky Track plot, I've attached a second PDF from which Figure 6 in the first PDF arose.  As always, questions and feedback on this material are invited.

-Dan